| Home | Libraries | People | FAQ | More

##### basic_socket::basic_socket (1 of 10 overloads)

Construct a `basic_socket` without opening it.

    basic_socket(
        const executor_type & ex);

This constructor creates a socket without opening it.

###### Parameters

ex

  The I/O executor that the socket will use, by default, to dispatch handlers for any asynchronous operations performed on the socket.